You are not logged in.

#1 2021-06-22 14:47:12

Morta
Member
Registered: 2019-07-07
Posts: 32

python-pip and python2-pip breaks pip

Hi Fellas

I get after upgrade pip followings errors hitting

sudo python3 -m pip install mopidy --upgrade

Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/usr/lib/python3.9/site-packages/pip/__main__.py", line 23, in <module>
    from pip._internal.cli.main import main as _main  # isort:skip # noqa
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/main.py", line 10, in <module>
    from pip._internal.cli.autocompletion import autocomplete
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/autocompletion.py", line 9, in <module>
    from pip._internal.cli.main_parser import create_main_parser
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/main_parser.py", line 7, in <module>
    from pip._internal.cli import cmdoptions
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/cmdoptions.py", line 25, in <module>
    from pip._internal.cli.progress_bars import BAR_TYPES
  File "/usr/lib/python3.9/site-packages/pip/_internal/cli/progress_bars.py", line 12, in <module>
    from pip._internal.utils.logging import get_indentation
  File "/usr/lib/python3.9/site-packages/pip/_internal/utils/logging.py", line 18, in <module>
    from pip._internal.utils.misc import ensure_dir
  File "/usr/lib/python3.9/site-packages/pip/_internal/utils/misc.py", line 34, in <module>
    from pip._internal.locations import get_major_minor_version, site_packages, user_site
  File "/usr/lib/python3.9/site-packages/pip/_internal/locations/__init__.py", line 9, in <module>
    from . import _distutils, _sysconfig
  File "/usr/lib/python3.9/site-packages/pip/_internal/locations/_sysconfig.py", line 8, in <module>
    from pip._internal.exceptions import InvalidSchemeCombination, UserInstallationInvalid
ImportError: cannot import name 'InvalidSchemeCombination' from 'pip._internal.exceptions' (/usr/lib/python3.9/site-packages/pip/_internal/exceptions.py

Downgrading to which packages helps to fix this?

Last edited by Morta (2021-06-22 14:48:17)

Offline

#2 2021-06-22 15:10:12

a821
Member
Registered: 2012-10-31
Posts: 277

Re: python-pip and python2-pip breaks pip

Urgh... you're doing wrong... Never mix package managers (pacman and pip in this case), you'll end up with untracked files (you may have already). A combination of `lostfiles` and `pacman -Qkk` may help to undo the mess.

Offline

#3 2021-06-22 15:40:07

Morta
Member
Registered: 2019-07-07
Posts: 32

Re: python-pip and python2-pip breaks pip

I need it only for mopidy and how i'm able to hold mopidy on the newest version? Because the AUR Pacakages are not updated fast so is very enoying to wait some days to have mopidy back working?

Thanks for your input but isn't chaning anything. Also downgrade pip isn't helping with pip 19.3.1-1.

So i reinstalled some python packages from AUR so nomore error when a execute sudo pacman -Qkk.
What i do with the lostfiles ? Delete it ?

Last edited by Morta (2021-06-22 16:17:00)

Offline

#4 2021-06-22 16:43:19

a821
Member
Registered: 2012-10-31
Posts: 277

Re: python-pip and python2-pip breaks pip

mopidy is available in community (and up-to-date), no need to use pip... or AUR packages.

If you feel the python packages are not updated fast enough, then use a virtual env (or update the PKGBUILDs yourself, it's not that hard).

Untracked files (lostfiles) can be deleted, of course be careful to not delete files you may need.

Offline

#5 2021-06-22 16:59:07

Morta
Member
Registered: 2019-07-07
Posts: 32

Re: python-pip and python2-pip breaks pip

Thanks for help.... never stop learning!

Offline

Board footer

Powered by FluxBB